INTERFACE
SUBROUTINE PPGEOPTL(KPROMA,KSTART,KPROF,KFLEV,KLEVP,KLOLEV,&
 & KLEVB,PLNPRES,LDBELO,LDBELS,LDBLOW,LDBLES,LDEXTR,POROG,&
 & PRXP,PRXPD,PTSTAR,PR0,PLNPR,PALPH,PTF,PZPP,&
 & PRXP5,PRXPD5,PTSTAR5,PR05,PLNPR5,PALPH5,PTF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVP
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KLOLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVB(KPROMA,KLEVP,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRES(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELO(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELS(KPROMA,KLEVP)
LOGICAL ,INTENT(IN) :: LDBLOW(KLEVP)
LOGICAL ,INTENT(IN) :: LDBLES(KLEVP)
LOGICAL ,INTENT(IN) :: LDEXTR
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PR0(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PZPP(KPROMA,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP5(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD5(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSTAR5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PR05(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF5(KPROMA,0:KFLEV)
END SUBROUTINE PPGEOPTL
END INTERFACE
